Skip to content

Wireless Network (Template) ​

43 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getApGroupTemplateListGETGet AP Group template list
createApGroupTemplatePOSTCreate new AP Group template
deleteApGroupTemplateDELETEDelete an existing AP Group template
updateApGroupTemplatePATCHModify an existing AP Group template
countApGroupsTemplateGETCheck if the number of AP Groups template is out of limit
countWlansTemplateGETCheck if the number of WLAN Groups is out of limit (deprecated)
getSsidListTemplateV2GETGet SSID template list v2
createSsidTemplateV2POSTCreate new SSID template v2
deleteSsidTemplateV2DELETEDelete an existing SSID template
getSsidDetailTemplateV2GETGet SSID template detail info
updateSsidTemplateBandSteerConfigBySitePATCHUpdate SSID Template band steer config by site
updateSsidTemplateBasicConfigBySitePATCHUpdate SSID Template basic config by site
updateSsidTemplateDhcpOptionConfigBySitePATCHUpdate SSID Template DHCP option 82 config by site
updateSsidEnableStatusBySitePATCHUpdate SSID Template Enable Status
updateSsidTemplateHotspotV2SettingBySitePATCHUpdate SSID Template Hotspot2.0 config by site
updateSsidTemplateLoadBalanceConfigBySitePATCHUpdate SSID Template load balance config by site
updateSsidTemplateMacFilterConfigBySitePATCHUpdate SSID Template mac filter config by site
updateSsidTemplateMultiCastConfigBySitePATCHUpdate SSID Template Multicast/Broadcast management config by site
updateSsidTemplateRateControlConfigBySitePATCHUpdate SSID Template 802.11 rate control config by site
updateSsidTemplateRateLimitConfigBySitePATCHUpdate SSID Template rate limit config by site
updateSsidTemplateWifiCallingConfigBySitePATCHUpdate SSID Template wifi calling config by site
updateSsidTemplateWlanScheduleBySitePATCHUpdate SSID Template WLAN schedule config by site
querySsidDuplicateNameBySiteGETQuery Template SSIDs with the same name
getWlanGroupListTemplateGETGet WLAN Group template list (deprecated)
createWlanGroupTemplatePOSTCreate new WLAN Group template (deprecated)
deleteWlanGroupTemplateDELETEDelete an existing WLAN Group template (deprecated)
updateWlanGroupTemplatePATCHModify an existing WLAN Group template (deprecated)
getSsidListTemplateGETGet SSID template list (deprecated)
createSsidTemplatePOSTCreate new SSID template (deprecated)
deleteSsidTemplateDELETEDelete an existing SSID template (deprecated)
getSsidDetailTemplateGETGet SSID template detail info (deprecated)
updateSsidBandSteerConfigTemplatePATCHUpdate SSID template band steer config (deprecated)
updateSsidBasicConfigTemplatePATCHUpdate SSID template basic config (deprecated)
updateSsidDhcpOptionConfigTemplatePATCHUpdate SSID template DHCP option 82 config (deprecated)
updateSsidHotspotV2SettingTemplatePATCHUpdate SSID template Hotspot2.0 config (deprecated)
updateSsidLoadBalanceConfigTemplatePATCHUpdate SSID template load balance config (deprecated)
updateSsidMacFilterConfigTemplatePATCHUpdate SSID template mac filter config (deprecated)
updateSsidMultiCastConfigTemplatePATCHUpdate SSID template Multicast/Broadcast management config (deprecated)
updateSsidRateControlConfigTemplatePATCHUpdate SSID template 802.11 rate control config (deprecated)
updateSsidRateLimitConfigTemplatePATCHUpdate SSID template rate limit config (deprecated)
updateSsidWifiCallingConfigTemplatePATCHUpdate SSID template wifi calling config (deprecated)
updateSsidWlanScheduleTemplatePATCHUpdate SSID template WLAN schedule config (deprecated)
getGridWlanGroupTemplateGETGet WLAN Group template list paging query (deprecated)

getApGroupTemplateList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-groups

Get AP Group template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getApGroupTemplateList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get AP Group template list
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

createApGroupTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-groups

Create new AP Group template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateApGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesAP group name should contain 1 to 128 characters.
apMacsarray<string>noList of AP device MAC addresses bound to this AP group. Can be empty.
json
// omada_call_operation
{
  "operationId": "createApGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new AP Group template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

deleteApGroupTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-groups/{apGroupId}

Delete an existing AP Group template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
apGroupIdpathstringyesAP GROUP ID
json
// omada_call_operation
{
  "operationId": "deleteApGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "apGroupId": "<apGroupId>"
  }
}
Details, permissions and error codes

Delete an existing AP Group template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33203 - The default WLAN group cannot be deleted.

updateApGroupTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-groups/{apGroupId}

Modify an existing AP Group template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
apGroupIdpathstringyesAP GROUP ID

Request body — application/json (required) — schema UpdateApGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesAP group name should contain 1 to 128 characters.
addApMacsarray<string>noList of AP device MAC addresses to be added to this AP group. Can be empty.
removeApMacsarray<string>noList of AP device MAC addresses to be removed from this AP group. Can be empty.
json
// omada_call_operation
{
  "operationId": "updateApGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "apGroupId": "<apGroupId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing AP Group template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33200 - This WLAN group has been already created.

countApGroupsTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/count-ap-groups

Check if the number of AP Groups template is out of limit

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "countApGroupsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Check if the number of AP Groups template is out of limit. The value of "ApGroupNum" indicates number of AP group and the value of "exceeded" indicates whether the number of AP Groups exceeds the limit.
The limit is the total number that a Controller can create, not the limit of a single Site.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

countWlansTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/cmd/countWlans

Deprecated

This operation is deprecated.

Check if the number of WLAN Groups is out of limit

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "countWlansTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Check if the number of WLAN Groups is out of limit. The value of "wlanGroupNum" indicates number of WLAN Group and the value of "exceeded" indicates whether the number of WLANs exceeds the limit, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases.Please use Check if the number of AP Groups template is out of limit.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getSsidListTemplateV2 ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids

Get SSID template list v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getSsidListTemplateV2",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get SSID template list v2
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

createSsidTemplateV2 ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids

Create new SSID template v2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateSsidOpenApiVO

FieldTypeRequiredDescription
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
deviceTypeintegeryesSSID device type, identify which devices this SSID will take effect; The lowest bit indicates whether [EAP] is included, the second low bit indicates whether [Gateway] is included, 1 means included while 0 means not included; For example, 3(11) means that EAP/Gateway is enabled, 1(01) means that EAP is enabled.
ssidEnablebooleannoSSID enable status. True: enable, false: disable.
chooseDevicesintegernodescription = select all devices or not. 0 means select all devices, 1 means not select all devices.
apGroupIdsarray<string>noAP Group ID list that the SSID is associated with. Supports binding to multiple AP groups.
bandintegeryesSSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.)
guestNetEnablebooleanyesSSID guest network config status. True: enable, false: disable.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
vlanEnablebooleanyesSSID VLAN config status. True: enable, false: disable.
vlanIdintegernoSSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094. If the field vlanSetting is entered, this field must be null.
pskSettingSsidPskSettingOpenApiVOno(SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO")
entSettingSsidEnterpriseSettingOpenApiVOno(SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO")
ppskSettingSsidPpskSettingOpenApiVOno(SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO")
mloEnablebooleanyesSSID MLO config status. True: enable, false: disable.
pmfModeintegeryesSSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable.
enable11rbooleanyesSSID 802.11r config status. True: enable, false: disable.
hidePwdbooleanyesIf this field is true, the SSID password will be hidden.
greEnablebooleannoSSID EoGre Tunnel config status. True: enable, false: disable. This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled;(This configuration applies to the Pro Site of the Omada Pro Controller only).
vlanSettingSsidVlanSettingOpenApiVOno(SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO")
prohibitWifiSharebooleannoSSID prohibitWifiShare config status. True: enable, false: disable.
wifiCallingEnablebooleannoSSID Wifi Calling config status. True: enable, false: disable.
wifiCallingIdstringnoThe ID of the Wi-Fi calling profile bound to the SSID. When parameter [wifiCallingEnable] is true, it should not be null.
enhancedIotConnectivitybooleannoSSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable].
CondBroadcastCtrlCondBroadcastCtrlVOno(CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO")
json
// omada_call_operation
{
  "operationId": "createSsidTemplateV2",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new SSID template v2
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33240 - The SSID name should be between 1 and 32 bytes.
-33788 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID is not enabled in OUI Based VLAN.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.

deleteSsidTemplateV2 ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}

Delete an existing SSID template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID
json
// omada_call_operation
{
  "operationId": "deleteSsidTemplateV2",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  }
}
Details, permissions and error codes

Delete an existing SSID template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getSsidDetailTemplateV2 ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}

Get SSID template detail info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID
json
// omada_call_operation
{
  "operationId": "getSsidDetailTemplateV2",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  }
}
Details, permissions and error codes

Get SSID template detail info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateBandSteerConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/band-steer

Update SSID Template band steer config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidBandSteerOpenApiVO

FieldTypeRequiredDescription
modeintegeryesshould be a value as follows: 0:Disable; 1:Prefer 5GHz/6GHz; 2:Balance; 3:Use site setting.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateBandSteerConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template band steer config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateBasicConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/basic-config

Update SSID Template basic config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidBasicConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
bandintegeryesSSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.)
autoWanAccessbooleannoWhether to enable auto wan access. True: enable, false: disable.
guestNetEnablebooleanyesSSID guest network config status. True: enable, false: disable.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS.
oweEnablebooleannoOpportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
vlanEnablebooleanyesSSID VLAN config status. True: enable, false: disable.
vlanIdintegernoSSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094.
pskSettingSsidPskSettingOpenApiVOno(SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO")
entSettingSsidEnterpriseSettingOpenApiVOno(SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO")
ppskSettingSsidPpskSettingOpenApiVOno(SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO")
mloEnablebooleanyesSSID MLO config status. True: enable, false: disable.
pmfModeintegeryesSSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable.
enable11rbooleanyesSSID 802.11r config status. True: enable, false: disable.
hidePwdbooleannoIf this field is true, the SSID password will be hidden.
greEnablebooleannoSSID EoGre Tunnel config status. True: enable, false: disable; This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled.
vlanSettingSsidVlanSettingOpenApiVOno(SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO")
prohibitWifiSharebooleannoSSID prohibitWifiShare config status. True: enable, false: disable.
enhancedIotConnectivitybooleannoSSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable].
CondBroadcastCtrlCondBroadcastCtrlVOno(CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO")
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateBasicConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template basic config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.

updateSsidTemplateDhcpOptionConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/dhcp-option

Update SSID Template DHCP option 82 config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidDhcpOptionOpenApiVO

FieldTypeRequiredDescription
dhcpEnablebooleanyesSSID DHCP Option 82 global config status. True: enable, false: disable.
formatintegernoSSID DHCP Option 82 format config; It should be a value as follows: 0: ASCII; 1: Binary.
delimiterstringnoSSID DHCP Option 82 delimiter config (A single arbitrary ASCII character is acceptable).
circuitIdarray<integer>noSSID DHCP Option 82 Circuit-ID config. Circuit-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name.
remoteIdarray<integer>noSSID DHCP Option 82 Remote-ID config. Remote-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateDhcpOptionConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template DHCP option 82 config by site
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidEnableStatusBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/enable

Update SSID Template Enable Status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidEnableStatusOpenApiVO

FieldTypeRequiredDescription
ssidEnablebooleanyesEnable or disable the SSID
json
// omada_call_operation
{
  "operationId": "updateSsidEnableStatusBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template Enable Status
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

updateSsidTemplateHotspotV2SettingBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/hotspotv2

Update SSID Template Hotspot2.0 config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyes

Request body — application/json (required) — schema UpdateSsidHotspotV2SettingOpenApiVO

FieldTypeRequiredDescription
hotspotV2EnablebooleanyesWhether Hotspot2.0 is enabled.<br />If hotspot2.0 is disabled, other parameters in Hotspot2.0 will be invalid.
networkTypeintegernoSpecify the 802.11u network type.<br /> Parameter networkType should be a value as follows: [0: Private network; 1: Private network with guest access; 2: Chargeable public network; 3: Free public network; 4: Personal device network; 5: Emergency services only network; 14: Test or experimental; 15: Wildcard].
plmnIdarray<PlmnIdOpenApiVO>noPLMN ID list, enter PLMN ID of 802.11u 3GPP cellular network.<br />Note: Up to 6 entries are allowed for the PLMN ID list.
roamingConsortiumOiarray<RoamingConsortiumOiOpenApiVO>noRoaming Consortium Oi list, enter the 802.11u roaming organization identifiers.<br />Note: Up to 3 entries are allowed for the Roaming Consortium Oi list.
operatorDomainstringnoEnter the domain name of the hotspot operator.<br />For example, www.omadanetworks.com.
dgafDisablebooleannoWhether to enable DGAF(downstream group-addressed forwarding) disable mode.<br />In DGAF disable mode, the AP will not forward downstream multicast and broadcast packets.
heSsidstringnoHomogenous Extended Service Set Identifier, it is used to identify the same type of ESS network set.<br />Note: HESSID should be consistent with one of the BSSIDs of the APs in the zone.
internetbooleannoInternet access support status (network reachability), which indicates that the network is allowed to access the Internet.
availabilityIpv4integernoAvailable type information of IPv4 addresses.<br />Parameter availabilityIpv4 should be a value as follows: [0: Address type not available; 1: Public IPv4 address available; 2: Port-restricted IPv4 address available; 3: Single NATed private IPv4 address available; 4: Double NATed private IPv4 address available; 5: Port-restricted IPv4 address and single NATed IPv4 address available; 6: Port-restricted IPv4 address and double NATed IPv4 address available; 7: Availability of the address type is not known].
availabilityIpv6integernoAvailable type information of IPv6 addresses.<br /> Parameter availabilityIpv6 should be a value as follows: [0: Address type not available; 1: Address type available; 2: Availability of the address type not known].
operatorFriendlystringnoHotspot network operator friendly name.<br />Note:Parameter operatorFriendly should contain between 1 and 64 visible ASCII characters, with no Spaces at the beginning and end, and Spaces in between.
venueInfoVenueInfoOpenApiVOno(VenueInfoOpenApiVO not expanded; call omada_get_schema "VenueInfoOpenApiVO")
realmListarray<RealmOpenApiVO>noAdd a profile to identify and describe a NAI (Network Access Identifier) realm accessible using the AP, and the method that this NAI realm uses for authentication.<br />Note: Up to 10 entries are allowed for the NAI Realm list.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateHotspotV2SettingBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template Hotspot2.0 config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33263 - The current combination of Security and WPA Mode does not support Hotspot2.0.

updateSsidTemplateLoadBalanceConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/load-balance

Update SSID Template load balance config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidLoadBalanceOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesSSID Load Balance global config status. True: enable, false: disable.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateLoadBalanceConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template load balance config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateMacFilterConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/mac-filter

Update SSID Template mac filter config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO

FieldTypeRequiredDescription
macFilterEnablebooleanyesSSID MAC Filter global config status. True: enable, false: disable.
policyintegernoSSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List.
macFilterIdstringnoThis field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface.
ouiProfileIdListarray<string>noThis field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only).
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateMacFilterConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template MAC filter config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateMultiCastConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/multicast-config

Update SSID Template Multicast/Broadcast management config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidMultiCastOpenApiVO

FieldTypeRequiredDescription
multiCastEnablebooleanyesWhether to enable multicast to unicast, which is disabled by default; true: enable, false: disable
channelUtilintegeryesThis item indicates that when the channel utilization reaches the threshold, multicast will no longer be converted to unicast, the default threshold is 100, and the value should be within the range of 0-100.
arpCastEnablebooleanyesWhether to enable ARP cast to unicast, which is disabled by default; true: enable, false: disable
ipv6CastEnablebooleanyesWhether to enable IPv6 multicast to unicast, which is enabled by default; true: enable, false: disable
filterEnablebooleanyesWhether to enable the multicast filter switch, which is disabled by default; true: enable, false: disable
filterModeintegernoThis item indicates the status of the filtering protocol, the lowest low bit indicates whether IGMP is enabled, the second low bit indicates whether MDNS is enabled, and the third low bit indicates whether Others is enabled; 1 means enable while 0 means disable. For example, 7(111) means that all are enabled, 1(001) means that only IGMP is enabled.
macGroupIdstringnoThis field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateMultiCastConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template Multicast/Broadcast management config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateRateControlConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/rate-control

Update SSID Template 802.11 rate control config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidRateControlOpenApiVO

FieldTypeRequiredDescription
rate2gCtrlEnablebooleanyesWhether to enable 2.4GHz Data Rate Control
lowerDensity2gnumberno2.4GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54].
higherDensity2gintegerno2.4GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].
cckRatesDisablebooleannoWhether to disable 2G CCK Rates. If this field is true, Parameter [lowerDensity2g] can not enter the following values: [1, 2, 5.5, 11].
clientRatesRequire2gbooleannoWhether to require clients to use rates at or above the specified value of 2.4GHz Data Rate Control.
sendBeacons2gbooleannoWhether to enable send beacons at 1Mbps of 2.4GHz Data Rate Control.
rate5gCtrlEnablebooleanyesWhether to enable 5GHz Data Rate Control.
lowerDensity5gintegerno5GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54].
higherDensity5gintegerno5GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].
clientRatesRequire5gbooleannoWhether to require clients to use rates at or above the specified value of 5GHz Data Rate Control.
sendBeacons5gbooleannoWhether to enable send beacons at 6Mbps of 5GHz Data Rate Control.
rate6gCtrlEnablebooleannoWhether to enable 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30.
lowerDensity6gintegerno6GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54].Note: This field will no longer be supported since Omada Controller V5.14.30.
higherDensity6gintegerno6GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].Note: This field will no longer be supported since Omada Controller V5.14.30.
clientRatesRequire6gbooleannoWhether to require clients to use rates at or above the specified value of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30.
sendBeacons6gbooleannoWhether to enable send beacons at 6Mbps of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30.
manageRateControl2gEnablebooleannoWhether to enable 2GHz Manage Rate Control.
manageRateControl2gnumberno2.4GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54.
manageRateControl5gEnablebooleannoWhether to enable 5GHz Manage Rate Control.
manageRateControl5gintegerno5GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateRateControlConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template 802.11 rate control config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateRateLimitConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/rate-limit

Update SSID Template rate limit config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidRateLimitOpenApiVO

FieldTypeRequiredDescription
clientRateLimitRateLimitSettingOpenApiVOno(RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO")
ssidRateLimitRateLimitSettingOpenApiVOno(RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateRateLimitConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template rate limit config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateWifiCallingConfigBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/wifi-calling

Update SSID Template wifi calling config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateWifiCallingOpenApiVO

FieldTypeRequiredDescription
wifiCallingEnablebooleanyesSSID Wi-Fi Calling global config status. True: enable, false: disable.
wifiCallingIdstringnoThis field represents Wi-Fi Calling Profile ID. Wi-Fi Calling Profile can be created using Create a new wifi calling profile.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateWifiCallingConfigBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template Wi-Fi Calling config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidTemplateWlanScheduleBySite ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/{ssidId}/wlan-schedule

Update SSID Template WLAN schedule config by site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidWlanScheduleOpenApiVO

FieldTypeRequiredDescription
wlanScheduleEnablebooleanyesSSID WLAN schedule global config status. True: enable, false: disable.
actionintegerno0 means radio off, indicating the Wi-Fi function is off during the selected period; 1 means radio on, indicating the Wi-Fi function is on during the selected period.
scheduleIdstringnoThis field represents Time Range Profile ID. Time Range Profile can be created using Create time range profile interface, and Time Range Profile ID can be obtained from Get time range profile list interface.
json
// omada_call_operation
{
  "operationId": "updateSsidTemplateWlanScheduleBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID Template WLAN schedule config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

querySsidDuplicateNameBySite ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/ssids/duplicate-name

Query Template SSIDs with the same name

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "querySsidDuplicateNameBySite",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Query Template SSIDs with the same name
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getWlanGroupListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans

Deprecated

This operation is deprecated.

Get WLAN Group template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getWlanGroupListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get WLAN Group template list, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Get AP Group template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

createWlanGroupTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans

Deprecated

This operation is deprecated.

Create new WLAN Group template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateWlanGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesWLAN group name should contain 1 to 128 characters.
clonebooleanyesWhether to clone SSID list from other WLAN group.
clonedWlanIdstringnoWLAN group ID that needs to be cloned. Parameter [clonedWlanId] should not be null when Parameter [clone] is true.
json
// omada_call_operation
{
  "operationId": "createWlanGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new WLAN Group template, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Create new AP Group template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33200 - This WLAN group has been already created.
-33201 - The number of WLAN groups has reached the limit.
-33202 - This WLAN group is not in the same site.

deleteWlanGroupTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}

Deprecated

This operation is deprecated.

Delete an existing WLAN Group template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
json
// omada_call_operation
{
  "operationId": "deleteWlanGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>"
  }
}
Details, permissions and error codes

Delete an existing WLAN Group template, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Delete an existing AP Group template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33203 - The default WLAN group cannot be deleted.

updateWlanGroupTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}

Deprecated

This operation is deprecated.

Modify an existing WLAN Group template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID

Request body — application/json (required) — schema UpdateWlanGroupOpenApiVO

FieldTypeRequiredDescription
namestringyesWLAN group name should contain 1 to 128 characters.
json
// omada_call_operation
{
  "operationId": "updateWlanGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing WLAN Group template, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Modify an existing AP Group template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33200 - This WLAN group has been already created.

getSsidListTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids

Deprecated

This operation is deprecated.

Get SSID template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getSsidListTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>"
  }
}
Details, permissions and error codes

Get SSID template list, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Get SSID template list v2.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

createSsidTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids

Deprecated

This operation is deprecated.

Create new SSID template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID

Request body — application/json (required) — schema CreateSsidOpenApiVO

FieldTypeRequiredDescription
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
deviceTypeintegeryesSSID device type, identify which devices this SSID will take effect; The lowest bit indicates whether [EAP] is included, the second low bit indicates whether [Gateway] is included, 1 means included while 0 means not included; For example, 3(11) means that EAP/Gateway is enabled, 1(01) means that EAP is enabled.
ssidEnablebooleannoSSID enable status. True: enable, false: disable.
chooseDevicesintegernodescription = select all devices or not. 0 means select all devices, 1 means not select all devices.
apGroupIdsarray<string>noAP Group ID list that the SSID is associated with. Supports binding to multiple AP groups.
bandintegeryesSSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.)
guestNetEnablebooleanyesSSID guest network config status. True: enable, false: disable.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
vlanEnablebooleanyesSSID VLAN config status. True: enable, false: disable.
vlanIdintegernoSSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094. If the field vlanSetting is entered, this field must be null.
pskSettingSsidPskSettingOpenApiVOno(SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO")
entSettingSsidEnterpriseSettingOpenApiVOno(SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO")
ppskSettingSsidPpskSettingOpenApiVOno(SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO")
mloEnablebooleanyesSSID MLO config status. True: enable, false: disable.
pmfModeintegeryesSSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable.
enable11rbooleanyesSSID 802.11r config status. True: enable, false: disable.
hidePwdbooleanyesIf this field is true, the SSID password will be hidden.
greEnablebooleannoSSID EoGre Tunnel config status. True: enable, false: disable. This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled;(This configuration applies to the Pro Site of the Omada Pro Controller only).
vlanSettingSsidVlanSettingOpenApiVOno(SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO")
prohibitWifiSharebooleannoSSID prohibitWifiShare config status. True: enable, false: disable.
wifiCallingEnablebooleannoSSID Wifi Calling config status. True: enable, false: disable.
wifiCallingIdstringnoThe ID of the Wi-Fi calling profile bound to the SSID. When parameter [wifiCallingEnable] is true, it should not be null.
enhancedIotConnectivitybooleannoSSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable].
CondBroadcastCtrlCondBroadcastCtrlVOno(CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO")
json
// omada_call_operation
{
  "operationId": "createSsidTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new SSID template, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Create new SSID template v2.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33240 - The SSID name should be between 1 and 32 bytes.
-33788 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID is not enabled in OUI Based VLAN.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.

deleteSsidTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}

Deprecated

This operation is deprecated.

Delete an existing SSID template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID
json
// omada_call_operation
{
  "operationId": "deleteSsidTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  }
}
Details, permissions and error codes

Delete an existing SSID template, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Delete an existing SSID template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getSsidDetailTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}

Deprecated

This operation is deprecated.

Get SSID template detail info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID
json
// omada_call_operation
{
  "operationId": "getSsidDetailTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  }
}
Details, permissions and error codes

Get SSID template detail info, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Get SSID template detail info.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidBandSteerConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-band-steer

Deprecated

This operation is deprecated.

Update SSID template band steer config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidBandSteerOpenApiVO

FieldTypeRequiredDescription
modeintegeryesshould be a value as follows: 0:Disable; 1:Prefer 5GHz/6GHz; 2:Balance; 3:Use site setting.
json
// omada_call_operation
{
  "operationId": "updateSsidBandSteerConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template band steer config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template band steer config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidBasicConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-basic-config

Deprecated

This operation is deprecated.

Update SSID template basic config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidBasicConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
bandintegeryesSSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.)
autoWanAccessbooleannoWhether to enable auto wan access. True: enable, false: disable.
guestNetEnablebooleanyesSSID guest network config status. True: enable, false: disable.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS.
oweEnablebooleannoOpportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
vlanEnablebooleanyesSSID VLAN config status. True: enable, false: disable.
vlanIdintegernoSSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094.
pskSettingSsidPskSettingOpenApiVOno(SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO")
entSettingSsidEnterpriseSettingOpenApiVOno(SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO")
ppskSettingSsidPpskSettingOpenApiVOno(SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO")
mloEnablebooleanyesSSID MLO config status. True: enable, false: disable.
pmfModeintegeryesSSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable.
enable11rbooleanyesSSID 802.11r config status. True: enable, false: disable.
hidePwdbooleannoIf this field is true, the SSID password will be hidden.
greEnablebooleannoSSID EoGre Tunnel config status. True: enable, false: disable; This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled.
vlanSettingSsidVlanSettingOpenApiVOno(SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO")
prohibitWifiSharebooleannoSSID prohibitWifiShare config status. True: enable, false: disable.
enhancedIotConnectivitybooleannoSSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable].
CondBroadcastCtrlCondBroadcastCtrlVOno(CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO")
json
// omada_call_operation
{
  "operationId": "updateSsidBasicConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template basic config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template basic config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.

updateSsidDhcpOptionConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-dhcp-option

Deprecated

This operation is deprecated.

Update SSID template DHCP option 82 config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidDhcpOptionOpenApiVO

FieldTypeRequiredDescription
dhcpEnablebooleanyesSSID DHCP Option 82 global config status. True: enable, false: disable.
formatintegernoSSID DHCP Option 82 format config; It should be a value as follows: 0: ASCII; 1: Binary.
delimiterstringnoSSID DHCP Option 82 delimiter config (A single arbitrary ASCII character is acceptable).
circuitIdarray<integer>noSSID DHCP Option 82 Circuit-ID config. Circuit-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name.
remoteIdarray<integer>noSSID DHCP Option 82 Remote-ID config. Remote-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name.
json
// omada_call_operation
{
  "operationId": "updateSsidDhcpOptionConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template DHCP option 82 config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template DHCP option 82 config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidHotspotV2SettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-hotspotv2

Deprecated

This operation is deprecated.

Update SSID template Hotspot2.0 config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidHotspotV2SettingOpenApiVO

FieldTypeRequiredDescription
hotspotV2EnablebooleanyesWhether Hotspot2.0 is enabled.<br />If hotspot2.0 is disabled, other parameters in Hotspot2.0 will be invalid.
networkTypeintegernoSpecify the 802.11u network type.<br /> Parameter networkType should be a value as follows: [0: Private network; 1: Private network with guest access; 2: Chargeable public network; 3: Free public network; 4: Personal device network; 5: Emergency services only network; 14: Test or experimental; 15: Wildcard].
plmnIdarray<PlmnIdOpenApiVO>noPLMN ID list, enter PLMN ID of 802.11u 3GPP cellular network.<br />Note: Up to 6 entries are allowed for the PLMN ID list.
roamingConsortiumOiarray<RoamingConsortiumOiOpenApiVO>noRoaming Consortium Oi list, enter the 802.11u roaming organization identifiers.<br />Note: Up to 3 entries are allowed for the Roaming Consortium Oi list.
operatorDomainstringnoEnter the domain name of the hotspot operator.<br />For example, www.omadanetworks.com.
dgafDisablebooleannoWhether to enable DGAF(downstream group-addressed forwarding) disable mode.<br />In DGAF disable mode, the AP will not forward downstream multicast and broadcast packets.
heSsidstringnoHomogenous Extended Service Set Identifier, it is used to identify the same type of ESS network set.<br />Note: HESSID should be consistent with one of the BSSIDs of the APs in the zone.
internetbooleannoInternet access support status (network reachability), which indicates that the network is allowed to access the Internet.
availabilityIpv4integernoAvailable type information of IPv4 addresses.<br />Parameter availabilityIpv4 should be a value as follows: [0: Address type not available; 1: Public IPv4 address available; 2: Port-restricted IPv4 address available; 3: Single NATed private IPv4 address available; 4: Double NATed private IPv4 address available; 5: Port-restricted IPv4 address and single NATed IPv4 address available; 6: Port-restricted IPv4 address and double NATed IPv4 address available; 7: Availability of the address type is not known].
availabilityIpv6integernoAvailable type information of IPv6 addresses.<br /> Parameter availabilityIpv6 should be a value as follows: [0: Address type not available; 1: Address type available; 2: Availability of the address type not known].
operatorFriendlystringnoHotspot network operator friendly name.<br />Note:Parameter operatorFriendly should contain between 1 and 64 visible ASCII characters, with no Spaces at the beginning and end, and Spaces in between.
venueInfoVenueInfoOpenApiVOno(VenueInfoOpenApiVO not expanded; call omada_get_schema "VenueInfoOpenApiVO")
realmListarray<RealmOpenApiVO>noAdd a profile to identify and describe a NAI (Network Access Identifier) realm accessible using the AP, and the method that this NAI realm uses for authentication.<br />Note: Up to 10 entries are allowed for the NAI Realm list.
json
// omada_call_operation
{
  "operationId": "updateSsidHotspotV2SettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template Hotspot2.0 config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template Hotspot2.0 config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33263 - The current combination of Security and WPA Mode does not support Hotspot2.0.

updateSsidLoadBalanceConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-load-balance

Deprecated

This operation is deprecated.

Update SSID template load balance config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidLoadBalanceOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesSSID Load Balance global config status. True: enable, false: disable.
json
// omada_call_operation
{
  "operationId": "updateSsidLoadBalanceConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template load balance config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template load balance config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidMacFilterConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-mac-filter

Deprecated

This operation is deprecated.

Update SSID template mac filter config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO

FieldTypeRequiredDescription
macFilterEnablebooleanyesSSID MAC Filter global config status. True: enable, false: disable.
policyintegernoSSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List.
macFilterIdstringnoThis field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface.
ouiProfileIdListarray<string>noThis field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only).
json
// omada_call_operation
{
  "operationId": "updateSsidMacFilterConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template MAC filter config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template mac filter config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidMultiCastConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-multicast-config

Deprecated

This operation is deprecated.

Update SSID template Multicast/Broadcast management config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidMultiCastOpenApiVO

FieldTypeRequiredDescription
multiCastEnablebooleanyesWhether to enable multicast to unicast, which is disabled by default; true: enable, false: disable
channelUtilintegeryesThis item indicates that when the channel utilization reaches the threshold, multicast will no longer be converted to unicast, the default threshold is 100, and the value should be within the range of 0-100.
arpCastEnablebooleanyesWhether to enable ARP cast to unicast, which is disabled by default; true: enable, false: disable
ipv6CastEnablebooleanyesWhether to enable IPv6 multicast to unicast, which is enabled by default; true: enable, false: disable
filterEnablebooleanyesWhether to enable the multicast filter switch, which is disabled by default; true: enable, false: disable
filterModeintegernoThis item indicates the status of the filtering protocol, the lowest low bit indicates whether IGMP is enabled, the second low bit indicates whether MDNS is enabled, and the third low bit indicates whether Others is enabled; 1 means enable while 0 means disable. For example, 7(111) means that all are enabled, 1(001) means that only IGMP is enabled.
macGroupIdstringnoThis field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface.
json
// omada_call_operation
{
  "operationId": "updateSsidMultiCastConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template Multicast/Broadcast management config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template Multicast/Broadcast management config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidRateControlConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-rate-control

Deprecated

This operation is deprecated.

Update SSID template 802.11 rate control config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidRateControlOpenApiVO

FieldTypeRequiredDescription
rate2gCtrlEnablebooleanyesWhether to enable 2.4GHz Data Rate Control
lowerDensity2gnumberno2.4GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54].
higherDensity2gintegerno2.4GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].
cckRatesDisablebooleannoWhether to disable 2G CCK Rates. If this field is true, Parameter [lowerDensity2g] can not enter the following values: [1, 2, 5.5, 11].
clientRatesRequire2gbooleannoWhether to require clients to use rates at or above the specified value of 2.4GHz Data Rate Control.
sendBeacons2gbooleannoWhether to enable send beacons at 1Mbps of 2.4GHz Data Rate Control.
rate5gCtrlEnablebooleanyesWhether to enable 5GHz Data Rate Control.
lowerDensity5gintegerno5GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54].
higherDensity5gintegerno5GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].
clientRatesRequire5gbooleannoWhether to require clients to use rates at or above the specified value of 5GHz Data Rate Control.
sendBeacons5gbooleannoWhether to enable send beacons at 6Mbps of 5GHz Data Rate Control.
rate6gCtrlEnablebooleannoWhether to enable 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30.
lowerDensity6gintegerno6GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54].Note: This field will no longer be supported since Omada Controller V5.14.30.
higherDensity6gintegerno6GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].Note: This field will no longer be supported since Omada Controller V5.14.30.
clientRatesRequire6gbooleannoWhether to require clients to use rates at or above the specified value of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30.
sendBeacons6gbooleannoWhether to enable send beacons at 6Mbps of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30.
manageRateControl2gEnablebooleannoWhether to enable 2GHz Manage Rate Control.
manageRateControl2gnumberno2.4GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54.
manageRateControl5gEnablebooleannoWhether to enable 5GHz Manage Rate Control.
manageRateControl5gintegerno5GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54.
json
// omada_call_operation
{
  "operationId": "updateSsidRateControlConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template 802.11 rate control config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template 802.11 rate control config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidRateLimitConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-rate-limit

Deprecated

This operation is deprecated.

Update SSID template rate limit config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidRateLimitOpenApiVO

FieldTypeRequiredDescription
clientRateLimitRateLimitSettingOpenApiVOno(RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO")
ssidRateLimitRateLimitSettingOpenApiVOno(RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "updateSsidRateLimitConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template rate limit config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template rate limit config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidWifiCallingConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-wifi-calling

Deprecated

This operation is deprecated.

Update SSID template wifi calling config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateWifiCallingOpenApiVO

FieldTypeRequiredDescription
wifiCallingEnablebooleanyesSSID Wi-Fi Calling global config status. True: enable, false: disable.
wifiCallingIdstringnoThis field represents Wi-Fi Calling Profile ID. Wi-Fi Calling Profile can be created using Create a new wifi calling profile.
json
// omada_call_operation
{
  "operationId": "updateSsidWifiCallingConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template Wi-Fi Calling config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template wifi calling config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

updateSsidWlanScheduleTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-wlan-schedule

Deprecated

This operation is deprecated.

Update SSID template WLAN schedule config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
wlanIdpathstringyesWLAN ID
ssidIdpathstringyesSSID ID

Request body — application/json (required) — schema UpdateSsidWlanScheduleOpenApiVO

FieldTypeRequiredDescription
wlanScheduleEnablebooleanyesSSID WLAN schedule global config status. True: enable, false: disable.
actionintegerno0 means radio off, indicating the Wi-Fi function is off during the selected period; 1 means radio on, indicating the Wi-Fi function is on during the selected period.
scheduleIdstringnoThis field represents Time Range Profile ID. Time Range Profile can be created using Create time range profile interface, and Time Range Profile ID can be obtained from Get time range profile list interface.
json
// omada_call_operation
{
  "operationId": "updateSsidWlanScheduleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "wlanId": "<wlanId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID template WLAN schedule config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Template WLAN schedule config by site.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

getGridWlanGroupTemplate ​

GET /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/wireless-network/wlans

Deprecated

This operation is deprecated.

Get WLAN Group template list paging query

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnoFuzzy query parameters, support field name
json
// omada_call_operation
{
  "operationId": "getGridWlanGroupTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get WLAN Group template list paging query, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Get AP Group template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.